module.exports = async (req, res, next) => {
  let now = new Date()

  await next()

  Log.data(
    'REQUEST',
    {
      'http-method': req.method,
      'uri': req.originalUrl,
      'query': req.query,
      'body': req.body,
      'time': (new Date() - now) + 'ms'
    }
  )
}
